clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::Ref Struct Reference

`#include <Index.h>`

Collaboration diagram for clang::clangd::Ref:
[legend]

## Public Attributes
SymbolLocation | Location
RefKind | Kind = RefKind::Unknown

## Detailed Description

Definition at line 373 of file Index.h.

## Member Data Documentation

## ◆ Kind

RefKind clang::clangd::Ref::Kind = RefKind::Unknown

Definition at line 376 of file Index.h.

Referenced by llvm::yaml::MappingTraits< Ref >::mapping(), clang::clangd::operator<(), clang::clangd::operator<<(), and clang::clangd::operator==().

## ◆ Location

SymbolLocation clang::clangd::Ref::Location

Definition at line 375 of file Index.h.

Referenced by llvm::yaml::MappingTraits< Ref >::mapping(), clang::clangd::operator<(), clang::clangd::operator<<(), and clang::clangd::operator==().

The documentation for this struct was generated from the following file:

- Index.h